<img src="assets/logo.png" height="320" width="620" >

> A component library for the Guardian's [Source Design System](https://theguardian.design).

[![Storybook](https://cdn.jsdelivr.net/gh/storybookjs/brand@main/badge/badge-storybook.svg)](https://guardian.github.io/csnx)

## Source packages ⚛️

There are three main Source packages:

- [`@guardian/source-foundations`](../../libs/@guardian/source-foundations/README.md): The atoms from which all our visual design is built. They may be used with any CSS-in-JS library
- [`@guardian/source-react-components`](../../libs/@guardian/source-react-components/README.md): A set of robust, accessible React components built using @guardian/source-foundations
- [`@guardian/source-react-components-development-kitchen`](../../libs/@guardian/source-react-components-development-kitchen/README.md): The Development Kitchen is where new components and patterns can be cooked up, tested and shared. There are minimal acceptance criteria. It’s okay to duplicate and break things. If a Kitchen component proves valuable, it may be promoted to `@guardian/source-react-components`

In addition there are two ESLint plugins:

- [`@guardian/eslint-plugin-source-foundations`](../../libs/@guardian/eslint-plugin-source-foundations/README.md): ESLint plugin for Guardian projects using the `@guardian/source-foundations` package
- [`@guardian/eslint-plugin-source-react-components`](../../libs/@guardian/eslint-plugin-source-react-components/README.md): ESLint plugin for Guardian projects using the `@guardian/source-react-components` package
