import type { Country } from './@types/Country';
import type { CountryKey } from './@types/CountryKey';

export const countries: Record<CountryKey, Country> = {
	afghanistan: {
		countryCode: 'AF',
		name: 'Afghanistan',
	},
	åland_islands: {
		countryCode: 'AX',
		name: 'Åland Islands',
	},
	albania: {
		countryCode: 'AL',
		name: 'Albania',
	},
	algeria: {
		countryCode: 'DZ',
		name: 'Algeria',
	},
	american_samoa: {
		countryCode: 'AS',
		name: 'American Samoa',
	},
	andorra: {
		countryCode: 'AD',
		name: 'Andorra',
	},
	angola: {
		countryCode: 'AO',
		name: 'Angola',
	},
	anguilla: {
		countryCode: 'AI',
		name: 'Anguilla',
	},
	antarctica: {
		countryCode: 'AQ',
		name: 'Antarctica',
	},
	antigua_and_barbuda: {
		countryCode: 'AG',
		name: 'Antigua and Barbuda',
	},
	argentina: {
		countryCode: 'AR',
		name: 'Argentina',
	},
	armenia: {
		countryCode: 'AM',
		name: 'Armenia',
	},
	aruba: {
		countryCode: 'AW',
		name: 'Aruba',
	},
	australia: {
		countryCode: 'AU',
		name: 'Australia',
	},
	austria: {
		countryCode: 'AT',
		name: 'Austria',
	},
	azerbaijan: {
		countryCode: 'AZ',
		name: 'Azerbaijan',
	},
	bahamas: {
		countryCode: 'BS',
		name: 'Bahamas',
	},
	bahrain: {
		countryCode: 'BH',
		name: 'Bahrain',
	},
	bangladesh: {
		countryCode: 'BD',
		name: 'Bangladesh',
	},
	barbados: {
		countryCode: 'BB',
		name: 'Barbados',
	},
	belarus: {
		countryCode: 'BY',
		name: 'Belarus',
	},
	belgium: {
		countryCode: 'BE',
		name: 'Belgium',
	},
	belize: {
		countryCode: 'BZ',
		name: 'Belize',
	},
	benin: {
		countryCode: 'BJ',
		name: 'Benin',
	},
	bermuda: {
		countryCode: 'BM',
		name: 'Bermuda',
	},
	bhutan: {
		countryCode: 'BT',
		name: 'Bhutan',
	},
	bolivia: {
		countryCode: 'BO',
		name: 'Bolivia (Plurinational State of)',
	},
	bosnia_and_herzegovina: {
		countryCode: 'BA',
		name: 'Bosnia and Herzegovina',
	},
	botswana: {
		countryCode: 'BW',
		name: 'Botswana',
	},
	bouvet_island: {
		countryCode: 'BV',
		name: 'Bouvet Island',
	},
	brazil: {
		countryCode: 'BR',
		name: 'Brazil',
	},
	british_indian_ocean_territory: {
		countryCode: 'IO',
		name: 'British Indian Ocean Territory',
	},
	brunei_darussalam: {
		countryCode: 'BN',
		name: 'Brunei Darussalam',
	},
	bulgaria: {
		countryCode: 'BG',
		name: 'Bulgaria',
	},
	burkina_faso: {
		countryCode: 'BF',
		name: 'Burkina Faso',
	},
	burundi: {
		countryCode: 'BI',
		name: 'Burundi',
	},
	cabo_verde: {
		countryCode: 'CV',
		name: 'Cabo Verde',
	},
	cambodia: {
		countryCode: 'KH',
		name: 'Cambodia',
	},
	cameroon: {
		countryCode: 'CM',
		name: 'Cameroon',
	},
	canada: {
		countryCode: 'CA',
		name: 'Canada',
	},
	caribbean_netherlands: {
		countryCode: 'BQ',
		name: 'Bonaire, Sint Eustatius and Saba',
	},
	cayman_islands: {
		countryCode: 'KY',
		name: 'Cayman Islands',
	},
	central_african_republic: {
		countryCode: 'CF',
		name: 'Central African Republic',
	},
	chad: {
		countryCode: 'TD',
		name: 'Chad',
	},
	chile: {
		countryCode: 'CL',
		name: 'Chile',
	},
	china: {
		countryCode: 'CN',
		name: 'China',
	},
	christmas_island: {
		countryCode: 'CX',
		name: 'Christmas Island',
	},
	cocos_keeling_islands: {
		countryCode: 'CC',
		name: 'Cocos (Keeling) Islands',
	},
	colombia: {
		countryCode: 'CO',
		name: 'Colombia',
	},
	comoros: {
		countryCode: 'KM',
		name: 'Comoros',
	},
	congo: {
		countryCode: 'CG',
		name: 'Congo',
	},
	cook_islands: {
		countryCode: 'CK',
		name: 'Cook Islands',
	},
	costa_rica: {
		countryCode: 'CR',
		name: 'Costa Rica',
	},
	croatia: {
		countryCode: 'HR',
		name: 'Croatia',
	},
	cuba: {
		countryCode: 'CU',
		name: 'Cuba',
	},
	curaçao: {
		countryCode: 'CW',
		name: 'Curaçao',
	},
	cyprus: {
		countryCode: 'CY',
		name: 'Cyprus',
	},
	czechia: {
		countryCode: 'CZ',
		name: 'Czechia',
	},
	democratic_republic_of_the_congo: {
		countryCode: 'CD',
		name: 'Democratic Republic of the Congo',
	},
	denmark: {
		countryCode: 'DK',
		name: 'Denmark',
	},
	djibouti: {
		countryCode: 'DJ',
		name: 'Djibouti',
	},
	dominica: {
		countryCode: 'DM',
		name: 'Dominica',
	},
	dominican_republic: {
		countryCode: 'DO',
		name: 'Dominican Republic',
	},
	ecuador: {
		countryCode: 'EC',
		name: 'Ecuador',
	},
	egypt: {
		countryCode: 'EG',
		name: 'Egypt',
	},
	el_salvador: {
		countryCode: 'SV',
		name: 'El Salvador',
	},
	equatorial_guinea: {
		countryCode: 'GQ',
		name: 'Equatorial Guinea',
	},
	eritrea: {
		countryCode: 'ER',
		name: 'Eritrea',
	},
	estonia: {
		countryCode: 'EE',
		name: 'Estonia',
	},
	eswatini: {
		countryCode: 'SZ',
		name: 'Eswatini',
	},
	ethiopia: {
		countryCode: 'ET',
		name: 'Ethiopia',
	},
	falkland_islands: {
		countryCode: 'FK',
		name: 'Falkland Islands (Malvinas)',
	},
	faroe_islands: {
		countryCode: 'FO',
		name: 'Faroe Islands',
	},
	federated_states_of_micronesia: {
		countryCode: 'FM',
		name: 'Federated States of Micronesia',
	},
	fiji: {
		countryCode: 'FJ',
		name: 'Fiji',
	},
	finland: {
		countryCode: 'FI',
		name: 'Finland',
	},
	france: {
		countryCode: 'FR',
		name: 'France',
	},
	french_guiana: {
		countryCode: 'GF',
		name: 'French Guiana',
	},
	french_polynesia: {
		countryCode: 'PF',
		name: 'French Polynesia',
	},
	french_southern_territories: {
		countryCode: 'TF',
		name: 'French Southern Territories',
	},
	gabon: {
		countryCode: 'GA',
		name: 'Gabon',
	},
	gambia: {
		countryCode: 'GM',
		name: 'Gambia',
	},
	georgia: {
		countryCode: 'GE',
		name: 'Georgia',
	},
	germany: {
		countryCode: 'DE',
		name: 'Germany',
	},
	ghana: {
		countryCode: 'GH',
		name: 'Ghana',
	},
	gibraltar: {
		countryCode: 'GI',
		name: 'Gibraltar',
	},
	greece: {
		countryCode: 'GR',
		name: 'Greece',
	},
	greenland: {
		countryCode: 'GL',
		name: 'Greenland',
	},
	grenada: {
		countryCode: 'GD',
		name: 'Grenada',
	},
	guadeloupe: {
		countryCode: 'GP',
		name: 'Guadeloupe',
	},
	guam: {
		countryCode: 'GU',
		name: 'Guam',
	},
	guatemala: {
		countryCode: 'GT',
		name: 'Guatemala',
	},
	guernsey: {
		countryCode: 'GG',
		name: 'Guernsey',
	},
	guinea: {
		countryCode: 'GN',
		name: 'Guinea',
	},
	guinea_bissau: {
		countryCode: 'GW',
		name: 'Guinea-Bissau',
	},
	guyana: {
		countryCode: 'GY',
		name: 'Guyana',
	},
	haiti: {
		countryCode: 'HT',
		name: 'Haiti',
	},
	heard_island_and_mcdonald_islands: {
		countryCode: 'HM',
		name: 'Heard Island and McDonald Islands',
	},
	holy_see: {
		countryCode: 'VA',
		name: 'Holy See',
	},
	honduras: {
		countryCode: 'HN',
		name: 'Honduras',
	},
	hong_kong: {
		countryCode: 'HK',
		name: 'Hong Kong',
	},
	hungary: {
		countryCode: 'HU',
		name: 'Hungary',
	},
	iceland: {
		countryCode: 'IS',
		name: 'Iceland',
	},
	india: {
		countryCode: 'IN',
		name: 'India',
	},
	indonesia: {
		countryCode: 'ID',
		name: 'Indonesia',
	},
	iran: {
		countryCode: 'IR',
		name: 'Iran (Islamic Republic of)',
	},
	iraq: {
		countryCode: 'IQ',
		name: 'Iraq',
	},
	ireland: {
		countryCode: 'IE',
		name: 'Ireland',
	},
	isle_of_man: {
		countryCode: 'IM',
		name: 'Isle of Man',
	},
	israel: {
		countryCode: 'IL',
		name: 'Israel',
	},
	italy: {
		countryCode: 'IT',
		name: 'Italy',
	},
	ivory_coast: {
		countryCode: 'CI',
		name: "Côte d'Ivoire",
	},
	jamaica: {
		countryCode: 'JM',
		name: 'Jamaica',
	},
	japan: {
		countryCode: 'JP',
		name: 'Japan',
	},
	jersey: {
		countryCode: 'JE',
		name: 'Jersey',
	},
	jordan: {
		countryCode: 'JO',
		name: 'Jordan',
	},
	kazakhstan: {
		countryCode: 'KZ',
		name: 'Kazakhstan',
	},
	kenya: {
		countryCode: 'KE',
		name: 'Kenya',
	},
	kiribati: {
		countryCode: 'KI',
		name: 'Kiribati',
	},
	kuwait: {
		countryCode: 'KW',
		name: 'Kuwait',
	},
	kyrgyzstan: {
		countryCode: 'KG',
		name: 'Kyrgyzstan',
	},
	laos: {
		countryCode: 'LA',
		name: "Lao People's Democratic Republic",
	},
	latvia: {
		countryCode: 'LV',
		name: 'Latvia',
	},
	lebanon: {
		countryCode: 'LB',
		name: 'Lebanon',
	},
	lesotho: {
		countryCode: 'LS',
		name: 'Lesotho',
	},
	liberia: {
		countryCode: 'LR',
		name: 'Liberia',
	},
	libya: {
		countryCode: 'LY',
		name: 'Libya',
	},
	liechtenstein: {
		countryCode: 'LI',
		name: 'Liechtenstein',
	},
	lithuania: {
		countryCode: 'LT',
		name: 'Lithuania',
	},
	luxembourg: {
		countryCode: 'LU',
		name: 'Luxembourg',
	},
	macao: {
		countryCode: 'MO',
		name: 'Macao',
	},
	madagascar: {
		countryCode: 'MG',
		name: 'Madagascar',
	},
	malawi: {
		countryCode: 'MW',
		name: 'Malawi',
	},
	malaysia: {
		countryCode: 'MY',
		name: 'Malaysia',
	},
	maldives: {
		countryCode: 'MV',
		name: 'Maldives',
	},
	mali: {
		countryCode: 'ML',
		name: 'Mali',
	},
	malta: {
		countryCode: 'MT',
		name: 'Malta',
	},
	marshall_islands: {
		countryCode: 'MH',
		name: 'Marshall Islands',
	},
	martinique: {
		countryCode: 'MQ',
		name: 'Martinique',
	},
	mauritania: {
		countryCode: 'MR',
		name: 'Mauritania',
	},
	mauritius: {
		countryCode: 'MU',
		name: 'Mauritius',
	},
	mayotte: {
		countryCode: 'YT',
		name: 'Mayotte',
	},
	mexico: {
		countryCode: 'MX',
		name: 'Mexico',
	},
	moldova: {
		countryCode: 'MD',
		name: 'Republic of Moldova',
	},
	monaco: {
		countryCode: 'MC',
		name: 'Monaco',
	},
	mongolia: {
		countryCode: 'MN',
		name: 'Mongolia',
	},
	montenegro: {
		countryCode: 'ME',
		name: 'Montenegro',
	},
	montserrat: {
		countryCode: 'MS',
		name: 'Montserrat',
	},
	morocco: {
		countryCode: 'MA',
		name: 'Morocco',
	},
	mozambique: {
		countryCode: 'MZ',
		name: 'Mozambique',
	},
	myanmar: {
		countryCode: 'MM',
		name: 'Myanmar',
	},
	namibia: {
		countryCode: 'NA',
		name: 'Namibia',
	},
	nauru: {
		countryCode: 'NR',
		name: 'Nauru',
	},
	nepal: {
		countryCode: 'NP',
		name: 'Nepal',
	},
	netherlands: {
		countryCode: 'NL',
		name: 'Netherlands',
	},
	new_caledonia: {
		countryCode: 'NC',
		name: 'New Caledonia',
	},
	new_zealand: {
		countryCode: 'NZ',
		name: 'New Zealand',
	},
	nicaragua: {
		countryCode: 'NI',
		name: 'Nicaragua',
	},
	niger: {
		countryCode: 'NE',
		name: 'Niger',
	},
	nigeria: {
		countryCode: 'NG',
		name: 'Nigeria',
	},
	niue: {
		countryCode: 'NU',
		name: 'Niue',
	},
	norfolk_island: {
		countryCode: 'NF',
		name: 'Norfolk Island',
	},
	north_korea: {
		countryCode: 'KP',
		name: "Democratic People's Republic of Korea",
	},
	north_macedonia: {
		countryCode: 'MK',
		name: 'North Macedonia',
	},
	northern_mariana_islands: {
		countryCode: 'MP',
		name: 'Northern Mariana Islands',
	},
	norway: {
		countryCode: 'NO',
		name: 'Norway',
	},
	oman: {
		countryCode: 'OM',
		name: 'Oman',
	},
	pakistan: {
		countryCode: 'PK',
		name: 'Pakistan',
	},
	palau: {
		countryCode: 'PW',
		name: 'Palau',
	},
	panama: {
		countryCode: 'PA',
		name: 'Panama',
	},
	papua_new_guinea: {
		countryCode: 'PG',
		name: 'Papua New Guinea',
	},
	paraguay: {
		countryCode: 'PY',
		name: 'Paraguay',
	},
	peru: {
		countryCode: 'PE',
		name: 'Peru',
	},
	philippines: {
		countryCode: 'PH',
		name: 'Philippines',
	},
	pitcairn: {
		countryCode: 'PN',
		name: 'Pitcairn',
	},
	poland: {
		countryCode: 'PL',
		name: 'Poland',
	},
	portugal: {
		countryCode: 'PT',
		name: 'Portugal',
	},
	puerto_rico: {
		countryCode: 'PR',
		name: 'Puerto Rico',
	},
	qatar: {
		countryCode: 'QA',
		name: 'Qatar',
	},
	romania: {
		countryCode: 'RO',
		name: 'Romania',
	},
	russia: {
		countryCode: 'RU',
		name: 'Russian Federation',
	},
	rwanda: {
		countryCode: 'RW',
		name: 'Rwanda',
	},
	réunion: {
		countryCode: 'RE',
		name: 'Réunion',
	},
	saint_barthélemy: {
		countryCode: 'BL',
		name: 'Saint Barthélemy',
	},
	saint_helena_ascension_and_tristan_da_cunha: {
		countryCode: 'SH',
		name: 'Saint Helena, Ascension and Tristan da Cunha',
	},
	saint_kitts_and_nevis: {
		countryCode: 'KN',
		name: 'Saint Kitts and Nevis',
	},
	saint_lucia: {
		countryCode: 'LC',
		name: 'Saint Lucia',
	},
	saint_martin: {
		countryCode: 'MF',
		name: 'Saint Martin (French part)',
	},
	saint_pierre_and_miquelon: {
		countryCode: 'PM',
		name: 'Saint Pierre and Miquelon',
	},
	saint_vincent_and_the_grenadines: {
		countryCode: 'VC',
		name: 'Saint Vincent and the Grenadines',
	},
	samoa: {
		countryCode: 'WS',
		name: 'Samoa',
	},
	san_marino: {
		countryCode: 'SM',
		name: 'San Marino',
	},
	sao_tome_and_principe: {
		countryCode: 'ST',
		name: 'Sao Tome and Principe',
	},
	saudi_arabia: {
		countryCode: 'SA',
		name: 'Saudi Arabia',
	},
	senegal: {
		countryCode: 'SN',
		name: 'Senegal',
	},
	serbia: {
		countryCode: 'RS',
		name: 'Serbia',
	},
	seychelles: {
		countryCode: 'SC',
		name: 'Seychelles',
	},
	sierra_leone: {
		countryCode: 'SL',
		name: 'Sierra Leone',
	},
	singapore: {
		countryCode: 'SG',
		name: 'Singapore',
	},
	sint_maarten: {
		countryCode: 'SX',
		name: 'Sint Maarten (Dutch part)',
	},
	slovakia: {
		countryCode: 'SK',
		name: 'Slovakia',
	},
	slovenia: {
		countryCode: 'SI',
		name: 'Slovenia',
	},
	solomon_islands: {
		countryCode: 'SB',
		name: 'Solomon Islands',
	},
	somalia: {
		countryCode: 'SO',
		name: 'Somalia',
	},
	south_africa: {
		countryCode: 'ZA',
		name: 'South Africa',
	},
	south_georgia_and_the_south_sandwich_islands: {
		countryCode: 'GS',
		name: 'South Georgia and the South Sandwich Islands',
	},
	south_korea: {
		countryCode: 'KR',
		name: 'Republic of Korea',
	},
	south_sudan: {
		countryCode: 'SS',
		name: 'South Sudan',
	},
	spain: {
		countryCode: 'ES',
		name: 'Spain',
	},
	sri_lanka: {
		countryCode: 'LK',
		name: 'Sri Lanka',
	},
	state_of_palestine: {
		countryCode: 'PS',
		name: 'State of Palestine',
	},
	sudan: {
		countryCode: 'SD',
		name: 'Sudan',
	},
	suriname: {
		countryCode: 'SR',
		name: 'Suriname',
	},
	svalbard_and_jan_mayen: {
		countryCode: 'SJ',
		name: 'Svalbard and Jan Mayen',
	},
	sweden: {
		countryCode: 'SE',
		name: 'Sweden',
	},
	switzerland: {
		countryCode: 'CH',
		name: 'Switzerland',
	},
	syria: {
		countryCode: 'SY',
		name: 'Syrian Arab Republic',
	},
	taiwan: {
		countryCode: 'TW',
		name: 'Taiwan, Province of China',
	},
	tajikistan: {
		countryCode: 'TJ',
		name: 'Tajikistan',
	},
	tanzania: {
		countryCode: 'TZ',
		name: 'United Republic of Tanzania',
	},
	thailand: {
		countryCode: 'TH',
		name: 'Thailand',
	},
	timor_leste: {
		countryCode: 'TL',
		name: 'Timor-Leste',
	},
	togo: {
		countryCode: 'TG',
		name: 'Togo',
	},
	tokelau: {
		countryCode: 'TK',
		name: 'Tokelau',
	},
	tonga: {
		countryCode: 'TO',
		name: 'Tonga',
	},
	trinidad_and_tobago: {
		countryCode: 'TT',
		name: 'Trinidad and Tobago',
	},
	tunisia: {
		countryCode: 'TN',
		name: 'Tunisia',
	},
	turkey: {
		countryCode: 'TR',
		name: 'Turkey',
	},
	turkmenistan: {
		countryCode: 'TM',
		name: 'Turkmenistan',
	},
	turks_and_caicos_islands: {
		countryCode: 'TC',
		name: 'Turks and Caicos Islands',
	},
	tuvalu: {
		countryCode: 'TV',
		name: 'Tuvalu',
	},
	uganda: {
		countryCode: 'UG',
		name: 'Uganda',
	},
	ukraine: {
		countryCode: 'UA',
		name: 'Ukraine',
	},
	united_arab_emirates: {
		countryCode: 'AE',
		name: 'United Arab Emirates',
	},
	united_kingdom: {
		countryCode: 'GB',
		name: 'United Kingdom of Great Britain and Northern Ireland',
	},
	united_states_minor_outlying_islands: {
		countryCode: 'UM',
		name: 'United States Minor Outlying Islands',
	},
	united_states_of_america: {
		countryCode: 'US',
		name: 'United States of America',
	},
	uruguay: {
		countryCode: 'UY',
		name: 'Uruguay',
	},
	uzbekistan: {
		countryCode: 'UZ',
		name: 'Uzbekistan',
	},
	vanuatu: {
		countryCode: 'VU',
		name: 'Vanuatu',
	},
	venezuela: {
		countryCode: 'VE',
		name: 'Bolivarian Republic of Venezuela',
	},
	vietnam: {
		countryCode: 'VN',
		name: 'Viet Nam',
	},
	virgin_islands_british: {
		countryCode: 'VG',
		name: 'Virgin Islands (British)',
	},
	virgin_islands_us: {
		countryCode: 'VI',
		name: 'Virgin Islands (U.S.)',
	},
	wallis_and_futuna: {
		countryCode: 'WF',
		name: 'Wallis and Futuna',
	},
	western_sahara: {
		countryCode: 'EH',
		name: 'Western Sahara',
	},
	yemen: {
		countryCode: 'YE',
		name: 'Yemen',
	},
	zambia: {
		countryCode: 'ZM',
		name: 'Zambia',
	},
	zimbabwe: {
		countryCode: 'ZW',
		name: 'Zimbabwe',
	},
} as const;
