import updateSection from 'update-section';

export const updateReadmeSection = ({ readme, label, updates, updater }) => {
	const START = `<!-- START ${label} -->`;
	const END = `<!-- END ${label} -->`;

	function matchesStart(line) {
		return line.includes(START);
	}

	function matchesEnd(line) {
		return line.includes(END);
	}

	return updateSection(
		readme,
		[
			START,
			`<!-- THIS CONTENT IS AUTOGENERATED BY ${updater} -->`,
			'',
			updates,
			'',
			END,
		].join('\n'),
		matchesStart,
		matchesEnd,
	);
};
